use super::super::types::OverlayDesc;
use tool_helper::{Error, Output};

pub fn write(output: &mut Output, overlay_desc: &OverlayDesc) -> Result<(), Error> {
    if !overlay_desc.boot_section.is_empty() || !overlay_desc.additional_slots.is_empty() {
        write!(output, "OVERLAYSECTION = ")?;

        for section in &overlay_desc.boot_section.sections {
            write!(output, ".{} ", section.name)?;
        }

        for slot in &overlay_desc.additional_slots {
            for section in &slot.sections {
                write!(output, ".{} ", section.name)?;
            }
        }
        
        writeln!(output, "")?;
    }

    Ok(())
}